<?php
/*
	Name: Thesis Google Search
	Author: wpthesisskins.com
	Version: 1.0
	Description: Thesis Google Search Box for Thesis Theme 2.0.
	Class: thesis_google_search
*/


class thesis_google_search extends thesis_box {
	
	protected function translate() {
		$this->title = __('Thesis Google Search', 'thesis');
	}
	
	protected function construct() {

		wp_enqueue_style('thesis-google-search', THESIS_USER_BOXES_URL . "/thesis-google-search/css/style.css");
	}
	
	protected function options() {
		global $thesis;
		return array(
			
			'readcheck' => array(

				'type' => 'checkbox',

				'label' => __('Disable Google Search box on home page ', 'thesis'),

				'tooltip' => sprintf(__('If you want to disable google search box please select checkbox', 'thesis')),

					'options' => array(

						'welcomeoptions' => __('Disable Google Search box', 'thesis'),

						)

				),
				
				'gcode' => array(
				'type' => 'textarea',
				'width' => 'long',
				'label' => __('Paste your google search box code', 'thesis'),
				'tooltip' => sprintf(__('Paste your google search box code', 'thesis')),
				'default' => ''
				),
				
				'gwidth' => array(
				'type' => 'text',
				'width' => 'short',
				'label' => __('Enter your google search box width', 'thesis'),
				'tooltip' => sprintf(__('Enter your google search box width', 'thesis')),
				'default' => '300'
				),
								
				
			
			);
	}

	public function html() {
		global $thesis;

		// get options

		$options = $thesis->api->get_options($this->options(), $this->options);

		
if(!$options['readcheck']){?>
 <div id="google_search" style="width:<?php echo $options['gwidth']; ?>px;" >
 <?php echo $options['gcode']; ?>
         
		 </div>
<?php


}
	

	}

}?>